Subject: Re: [bug#51888] [PATCH 0/1] import: opam: Warn instead of leave when fetching fails.

From: zimoun <[email-masked]>
Date: Tue, 16 Nov 2021 16:33:28 +0100

Hi,

On Tue, 16 Nov 2021 at 14:03, Julien Lepiller <[email-masked]> wrote:

> I already had a patch for that, which is a bit more complex, at

Sorry, I missed it.

> https://issues.guix.gnu.org/51091. WDYT?

Your patch LGTM.  I am not convinced that all the complexity is worth;
compared to the proposed trivial change. ;-)
>From my opinion, the way is a common error for the all importers and
raise it; all the catch happening in 'guix/scripts/'.  That's another
story. :-)

One minor comment, in 'latest-release' I would write "opam: package
'~a' not found~%" otherwise the message "guix lint: warning: package
'example' not found" looks odd (at least to me :-)).

Feel free to close this issue and the other once you pushed a fix.

Cheers,
simon